<template>
  <div class="card border-success text-success">
    <div class="card-body text-center">
      <p class="card-text">
        <strong>Dólar: $ {{cotizacion}}</strong>
      </p>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
import axios, { AxiosResponse } from "axios";
import {Dolar} from "../domain/Dolar";

@Component
export default class CotizacionDolar extends Vue {
  private cotizacion: string = "";

  created() {
    this.obtenerCotizacionDolar();
  }

  obtenerCotizacionDolar() {
    axios
      .get("http://localhost:8097/api/cotizacion-dolar")
      .then((response: AxiosResponse<Dolar>) => {
        this.cotizacion = response.data.libre;
      });
  }
}
</script>

<style>
</style>
